<?php
/*
Plugin Name: Korrel 240 GZipper
Plugin URI:  https://www.korrel240.nl/wordpress-gzipper
Description: This plugin adds GZip compression through PHP code. On some shared hosting environments the Apache setup prevents compression of PHP generated pages (all of Wordpress!). This may then be the solution.
Author:      Leon Pillich
Version:     1.1
Author URI:  https://www.korrel240.nl
License:     GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

// Function to enable Gzip compression from PHP
function korrel240_enable_gzip() {
	if ( substr_count( $_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip' ) ) {
//		ini_set("zlib.output_compression", "On");
		ob_start( "ob_gzhandler" );
	}
	else {
		ob_start();
	}
}

// Add gzip functionality on every page before actual output is produced
add_action( 'init', 'korrel240_enable_gzip');

?>
